Load Balancing

Get

get

Retrieve Parallels RAS LB Settings.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to retrieve the Parallels RAS LB settings. (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

RAS Load-Balancer Settings

methodstring · enumOptional

LBMethod

Possible values:
cpuCounterbooleanOptional

Whether the CPU counter is enabled or disabled.

memoryCounterbooleanOptional

Whether the Memory counter is enabled or disabled.

sessionsCounterbooleanOptional

Whether the Sessions counter is enabled or disabled.

reconnectDisconnectbooleanOptional

Whether the "Reconnect to disconnected sessions" option is enabled or disabled.

reconnectUsingIPOnlybooleanOptional

Whether the "Reconnect sessions using client's IP address only" option is enabled or disabled.

reconnectUserbooleanOptional

Whether the "Limit user to one session per desktop" option is enabled or disabled.

disableRDSLBbooleanOptional

Whether the "Disable Microsoft RD Connection Broker" option is enabled or disabled.

deadTimeoutinteger · int32Optional

The value (in number of seconds) of the "Declare Agent dead if not responding for" property.

refreshTimeoutinteger · int32Optional

The value (in number of seconds) of the "Agent Refresh Time" property.

maxConnectionRequestsinteger · int32Optional

Maximum number of connection requests for an Agent.

replicatebooleanOptional

Whether the "Replicate settings" option (replicate settings to all sites) is enabled or disabled.

siteIdinteger · int32Optional

The site ID to which the RAS LB settings refer.

get
/api/LBSettings

Update

put

Modify Parallels RAS LB Settings.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the Parallels RAS LB settings. (optional)

Body

Update the RAS Load Balancing settings

methodstring · enumOptional

LBMethod

Possible values:
cpuCounterboolean · nullableOptional

Enable or disable the CPU counter.

memoryCounterboolean · nullableOptional

Enable or disable the Memory counter.

sessionsCounterboolean · nullableOptional

Enable or disable the Sessions counter.

reconnectDisconnectboolean · nullableOptional

Enable or disable the "Reconnect to disconnected sessions" option.

reconnectUsingIPOnlyboolean · nullableOptional

Enable or disable the "Reconnect sessions using client's IP address only" option.

reconnectUserboolean · nullableOptional

Enable or disable the "Limit user to one session per desktop" option.

disableRDSLBboolean · nullableOptional

Enable or disable the "Disable Microsoft RD Connection Broker" option.

deadTimeoutinteger · int32 · nullableOptional

Set the value (number of seconds) of the "Declare Agent dead if not responding for" property.

refreshTimeoutinteger · int32 · nullableOptional

Set the value (number of seconds) of the "Agent Refresh Time" property.

replicateboolean · nullableOptional

Enable or disable the "Replicate settings" option (replicate settings to all sites).

enableCPULBboolean · nullableOptionalDeprecated

Enable or disable the "CPU Load Balancer" option. Deprecated: use 'Set-RASCPUOptimizationSettings -EnableCPUOptimization $true' to enable CPU Load Balancer.

maxConnectionRequestsinteger · int32 · nullableOptional

Maximum number of connection requests for an Agent.

Responses
put
/api/LBSettings

No content